Bug 23194 - Incorrect kernel (UP) used by boot disks
Summary: Incorrect kernel (UP) used by boot disks
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: Brock Organ
URL:
Whiteboard: Florence Beta-3
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-02 23:29 UTC by Chris Evans
Modified: 2007-03-27 03:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-12 16:46:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Evans 2001-01-02 23:29:17 UTC
I have an SMP machine.

I installed beta1, electing to install every package. Upon rebooting, I
discovered
a single processor kernel had been chosen by the installer! RH7.0 gave me
the
SMP enterprise kernel.

In case it matters, I did a slightly non-standard thing in my install. I
elected NOT
to install lilo (I already have one). I elected to create a boot floppy
instead, and
use that to launch RH7.1beta1.

Comment 1 Michael Fulbright 2001-01-03 18:25:12 UTC
Assigning to a developer.

Comment 2 Erik Troan 2001-01-08 16:37:31 UTC
Bootdisks always use the uniprocessor kernel -- this is a bug.

Comment 3 Glen Foster 2001-01-11 21:14:15 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 4 Erik Troan 2001-01-12 16:46:33 UTC
As bootdisk's are designed primarily for rescuing systems, we're not going to
fix this. If you want a boot disk with a different kernel, use the mkbootdisk
command to generate one ('man mkbootdisk' for details).


Note You need to log in before you can comment on or make changes to this bug.